# spindate - Create and manipulate time spinner widgets

## SYNOPSIS

spindate pathName ?options?

## INHERITANCE

itk::Widget <- Spindate

## STANDARD OPTIONS

background | cursor | foreground | relief

See the "options" manual entry for details on the standard options.

## ASSOCIATED OPTIONS

textBackground | textFont |  |

See the "entryfield" manual entry for details on the above associated options.

labelFont | labelMargin |  |

See the "labeledwidget" manual entry for details on the above associated options.

arrowOrient | repeatDelay | repeatInterval |

See the "spinner" manual entry for details on the above associated options.

## WIDGET-SPECIFIC OPTIONS

    Name:                   dateMargin
    Class:                  Margin
    Command-Line Switch:	-datemargin

Specifies the margin space between the month, day, and year spinners is any of the forms accpetable to Tcl_GetPixels. The default is 1 pixel.

    Name:                   dayLabel
    Class:                  Text
    Command-Line Switch:	-daylabel

Specifies the text of the label for the day spinner. The default is "Day".

    Name:                   dayOn
    Class:                  dayOn
    Command-Line Switch:	-dayon

Specifies whether or not to display the day spinner in any of the forms acceptable to Tcl_GetBoolean. The default is true.

    Name:                   dayWidth
    Class:                  Width
    Command-Line Switch:	-daywidth

Specifies the width of the day spinner in any of the forms acceptable to Tcl_GetPixels. The default is 3 pixels.

    Name:                   labelPos
    Class:                  Position
    Command-Line Switch:	-labelpos

Specifies the position of the label along the sides of the various spinners: n, e, s, or w. The default is w.

    Name:                   monthFormat
    Class:                  MonthFormat
    Command-Line Switch:	-monthformat

Specifies the format of month display, integer (1-12) or brief strings (Jan - Dec), or full strings (January - December).

    Name:                   monthLabel
    Class:                  Text
    Command-Line Switch:	-monthlabel

Specifies the text of the label for the month spinner. The default is "Month".

    Name:                   monthOn
    Class:                  monthOn
    Command-Line Switch:	-monthon

Specifies whether or not to display the month spinner in any of the forms acceptable to Tcl_GetBoolean. The default is true.

    Name:                   monthWidth
    Class:                  Width
    Command-Line Switch:	-monthwidth

Specifies the width of the month spinner in any of the forms acceptable to Tcl_GetPixels. The default is 3 pixels.

    Name:                   orient
    Class:                  Orient
    Command-Line Switch:	-orient

Specifies the orientation of the month, day, and year spinners: vertical or horizontal. The default is horizontal.

    Name:                   yearDigits
    Class:                  YearDigits
    Command-Line Switch:	-yeardigits

Specifies the number of digits to be displayed as the value for the year spinner. The valid values are 2 and 4. The default is 2.

    Name:                   yearLabel
    Class:                  Text
    Command-Line Switch:	-yearlabel

Specifies the text of the label for the year spinner. The default is "Year"

    Name:                   yearOn
    Class:                  yearOn
    Command-Line Switch:	-yearon

Specifies whether or not to display the year spinner in any of the forms acceptable to Tcl_GetBoolean. The default is true.

    Name:                   yearWidth
    Class:                  Width
    Command-Line Switch:	-yearwidth

Specifies the width of the year spinner in any of the forms acceptable to Tcl_GetPixels. The default is 3 pixels.

spindate
set
use
entry.
an
year

creates
command
pathName.
be
various
widget.
following
pathName
...?
the
exact
command.
are
widgets:

current
configuration
option.
any
accepted
command.
pathName
option
  the
  the
  option
  a
  of
  for
  for
  format
  If
  with
  the
  list
  named
  will
  the
  the
  no
  If
  option-value
  then
  the
  to
  value(s);
  the
  empty
  have
  values
  spindate
current
spindate
format
as
value
and
respectively.
by
clock
information
and

date
the
to
the
date
either
an
or
Reference
for
obtaining
formats.

Spinner

## DESCRIPTION

command
of
in
The
month,
spinner
The
a
whose
This
used
operations
It
general
option
args
behavior
The
possible

## WIDGET-SPECIFIC
pathName
  value
  option
  Option
  of
  by

configure
value
Query
configuration
widget.
is
list
the
pathName
information
of
option
no
command
describing
option
be
corresponding
value
option
one
pairs
the
given
have
in
command
string.
any
accepted
command.
pathName
  contents
  widget
  of
  an
  using
  -clicks
  The
  string.
  command
  on
  their
currently
be
date
may
as
integer
the
the
more
dates
Name:

creates
spinners
date
set
day,
widget.
spindate
new
name
command
to
on
has
form:
?arg
Option
determine
of
following
for
METHODS
cget
Returns
of
given
may
the
the

?option?
...?
or
options
If
specified,
describing
available
(see
on
this
is
value,
returns
the
(this
identical
sublist
returned
is
or
are
command
widget
the
this
returns
Option
of
by

get
Returns
of
in
string
integer
the
format
default
Reference
for
obtaining
formats.
pathName
  displayed
  that
  argument.
  be
  a
  clock
  keyword
  clock
  information
  and

  ## COMPONENTS

  month
  The
  a
  for
  value
  includes
  and

  ## METHODS

  command
  Tcl
  is
  may
  invoke
  the
  the

      arg

      and

      the

      the

      commands

      spindate

      option

      the

      the

      by

      have

      values

      spindate

      ?value

      modify

      of

      no

      returns

      all

      options

      Tk_ConfigureInfo

      the

      list).

      specified

      then

      a

      one

      list

      to

      of

      if

      specified).

      more

      specified,

      modifies

      option(s)

      given

      case

      an

      may

      the

      the

      ?format?

      the

      the

      a

      or

      clock

      -string

      options

      is

      the

      more

      dates

      show

      Changes

      date

      of

      The

      specified

      string,

      value

      "now".

      command

      on

      their

      Class:

  The month spinner component is the month spinner of the date spinner. See the Spinner widget manual entry for details on the month component item.

      Name:                   day
      Class:                  Spinint

  The day spinner component is the day spinner of the date spinner. See the SpinInt widget manual entry for details on the day component item.

      Name:                   year
      Class:                  Spinint

  The year spinner component is the year spinner of the date spinner. See the SpinInt widget manual entry for details on the year component item.

  ## EXAMPLE

      spindate .sd
      pack .sd -padx 10 -pady 10

  ## AUTHORS

  Sue Yockey

  Mark L. Ulferts

  ## KEYWORDS

  spindate, spinint, spinner, entryfield, entry, widget